import Cookies from 'js-cookie'

const TokenKey = 'AdminOMS-Token'

const ExpiresInKey = 'AdminOMS-Expires-In'

export function getToken() {
  if(process.env.NODE_ENV === 'development'){
    return 'eyJhbGciOiJIUzUxMiJ9.eyJ1c2VyX2lkIjoxLCJ1c2VyX2tleSI6Ijc0YWE2YjA3LTdiYTktNDM4NS04ZWVjLWE3MjAyMzg1NmIxNCIsInVzZXJuYW1lIjoiYWRtaW4ifQ.W4u_8IAKqYBKUv4yEU9g-9YBrv5qABkRkZvsHF-WPBgIlTY3TrPnd-pes-1pZY6J0SekqM0JsR8_lLZ7zDlAPw'
  }else{
    return Cookies.get(TokenKey)
  }
  
}

export function setToken(token:string) {
  return Cookies.set(TokenKey, token)
}

export function removeToken() {
  return Cookies.remove(TokenKey)
}

export function getExpiresIn() {
  return Cookies.get(ExpiresInKey) || -1
}

export function setExpiresIn(time:any) {
  return Cookies.set(ExpiresInKey, time)
}

export function removeExpiresIn() {
  return Cookies.remove(ExpiresInKey)
}
